cudnn_frontend::ConditionalStreamer Class Reference

`#include <cudnn_frontend_Logging.h>`

Collaboration diagram for cudnn_frontend::ConditionalStreamer:

## Public Member Functions

| ConditionalStreamer (std::ostream &stream_)
template<typename T >
const ConditionalStreamer & | operator<< (const T &t) const
const ConditionalStreamer & | operator<< (std::ostream &(*spl)(std::ostream &)) const

## Private Attributes

std::ostream & | stream

## Detailed Description

Definition at line 50 of file cudnn_frontend_Logging.h.

## Constructor & Destructor Documentation

## ConditionalStreamer()

cudnn_frontend::ConditionalStreamer::ConditionalStreamer | ( | std::ostream & | stream_ | ) |

inline

Definition at line 54 of file cudnn_frontend_Logging.h.

## Member Function Documentation

## operator<<() [1/2]

template<typename T >

const ConditionalStreamer& cudnn_frontend::ConditionalStreamer::operator<< | ( | const T & | t | ) | const

inline

Definition at line 58 of file cudnn_frontend_Logging.h.

References cudnn_frontend::isLoggingEnabled().

## operator<<() [2/2]

const ConditionalStreamer& cudnn_frontend::ConditionalStreamer::operator<< | ( | std::ostream &(*)(std::ostream &) | spl | ) | const

inline

Definition at line 64 of file cudnn_frontend_Logging.h.

References cudnn_frontend::isLoggingEnabled().

## Member Data Documentation

## stream

std::ostream& cudnn_frontend::ConditionalStreamer::stream

private

Definition at line 52 of file cudnn_frontend_Logging.h.

The documentation for this class was generated from the following file:

- cudnn_frontend_Logging.h